=== debian/changelog ===
fpyutils (1.2.2-1) sid; urgency=medium

  * Initial release (Closes: #985831)

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Mar 2021 11:48:58 +0100
