=== debian/control ===
Source: fpyutils
Section: net
Priority: optional
Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-ilorest-doc,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-wheel,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/frnmst/fpyutils
Vcs-Browser: https://salsa.debian.org/saki-guest/fpyutils.git
Vcs-Git: https://salsa.debian.org/saki-guest/fpyutils.git

Package: python-fpyutils-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: collection of useful non-standard Python functions (docs)
 A collection of useful non-standard Python functions which aim to be
 simple to use, highly readable but not efficient.
 .
 This package provides the documentation for fpyutils.

Package: python3-fpyutils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-fpyutils-doc,
Description: collection of useful non-standard Python functions (Python 3)
 A collection of useful non-standard Python functions which aim to be
 simple to use, highly readable but not efficient.
 .
 This package contains the Python 3.x module.
