## fpyutils 2.1.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile
 #
-# Copyright (C) 2017-2020 frnmst (Franco Masotti) <franco.masotti@live.com>
+# Copyright (C) 2017-2020 Franco Masotti (franco \D\o\T masotti {-A-T-} tutanota \D\o\T com)
 #
 # This file is part of fpyutils.
 #
@@ -24,28 +24,41 @@
 
 default: doc
 
-doc:
+doc: clean
 	pipenv run $(MAKE) -C docs html
 
 install:
 	pip3 install . --user
 
 uninstall:
-	pip3 uninstall --yes $(PACKAGE_NAME)
+	pip3 uninstall --verbose --yes $(PACKAGE_NAME)
 
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv graph
+	pipenv check
 
 uninstall-dev:
+	rm -f Pipfile.lock
 	pipenv --rm
 
+update: install-dev
+	pipenv run pre-commit autoupdate
+
 test:
-	python -m unittest fpyutils.tests.tests --failfast --locals --verbose
+	pipenv run python -m unittest $(PACKAGE_NAME).tests.tests --failfast --locals --verbose
 
 dist:
 	pipenv run python setup.py sdist
-	pipenv run python setup.py bdist_wheel
+	# Create a reproducible archve at least on the wheel.
+	# See
+	# https://bugs.python.org/issue31526
+	# https://bugs.python.org/issue38727
+	# https://github.com/pypa/setuptools/issues/1468
+	# https://github.com/pypa/setuptools/issues/2133
+	# https://reproducible-builds.org/docs/source-date-epoch/
+	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:
@@ -55,4 +68,4 @@
 	rm -rf build dist *.egg-info
 	pipenv run $(MAKE) -C docs clean
 
-.PHONY: default doc install uninstall install-dev uninstall-dev test clean
+.PHONY: default doc install uninstall install-dev uninstall-dev update test clean
