=== debian/changelog ===
fpyutils (2.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.0.
  * d/changelog: Correcting typo for 1.2.2-1.
  * d/control: Changing Vcs path + removing .git suffix from Vcs-Browser.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 19 Dec 2021 13:57:16 +0100
