=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  python3-sphinx,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/frnmst/fpyutils
-Vcs-Browser: https://salsa.debian.org/saki-guest/fpyutils.git
-Vcs-Git: https://salsa.debian.org/saki-guest/fpyutils.git
+Vcs-Browser: https://salsa.debian.org/saki/fpyutils
+Vcs-Git: https://salsa.debian.org/saki/fpyutils.git
 
 Package: python-fpyutils-doc
 Architecture: all
