=== debian/changelog ===
fpyutils (2.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.0.
  * d/contol: Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:23:25 +0200
