## fpyutils 2.2.1

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 install-dev:
 	pipenv install --dev
 	pipenv run pre-commit install
+	pipenv run pre-commit install --hook-type commit-msg
 	pipenv graph
 	pipenv check
 
@@ -58,7 +59,7 @@
 	# https://github.com/pypa/setuptools/issues/1468
 	# https://github.com/pypa/setuptools/issues/2133
 	# https://reproducible-builds.org/docs/source-date-epoch/
-	SOURCE_DATE_EPOCH=$$(git log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
+	SOURCE_DATE_EPOCH=$$(git -c log.showSignature='false' log -1 --pretty=%ct) pipenv run python setup.py bdist_wheel
 	pipenv run twine check dist/*
 
 upload:
