=== debian/changelog ===
fpyutils (2.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.1.
  * d/control: Increment Standards-Version.
  * d/changelog: Correcting typo in version 2.2.0-1.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 05 Jan 2023 18:44:36 +0100
