=== debian/changelog ===
fpyutils (4.0.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 09 Apr 2025 07:41:29 +0200

fpyutils (4.0.1-2) experimental; urgency=medium

  * d/rules: Improve dh_sphinxdoc override.
  * d/control:
    - Modernizing dh-python invocation.
    - Add Build-Depends for PEP517.
    - Apply multi-arch hints.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 03 Apr 2025 15:29:38 +0200

fpyutils (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1.
  * d/control:
    - Adding Build-Depends.
    - Updating Standards-Version.
  * Adding d/gbp.conf.
  * d/changelog: Changing naming sid to unstable.
  * Add d/watch file.
  * d/copyright: Updating years.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 02 Apr 2025 16:12:50 +0200

fpyutils (2.2.1-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.2.1.
  * d/control: Increment Standards-Version.
  * d/changelog: Correcting typo in version 2.2.0-1.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 05 Jan 2023 18:44:36 +0100

fpyutils (2.2.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.2.0.
  * d/control: Increment Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 27 Jun 2022 21:23:25 +0200

fpyutils (2.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 2.1.0.
  * d/changelog: Correcting typo for 1.2.2-1.
  * d/control: Changing Vcs path + removing .git suffix from Vcs-Browser.
  * d/copyright: Updating copyright.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 19 Dec 2021 13:57:16 +0100

fpyutils (1.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #985831).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Mar 2021 11:48:58 +0100
