=== debian/control ===
--- 
+++ 
@@ -4,14 +4,18 @@
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python-ilorest-doc,
  python3-all,
+ python3-pydata-sphinx-theme,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-book-theme,
+ python3-sphinx-copybutton,
  python3-wheel,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/frnmst/fpyutils
 Vcs-Browser: https://salsa.debian.org/saki/fpyutils
 Vcs-Git: https://salsa.debian.org/saki/fpyutils.git
@@ -22,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: collection of useful non-standard Python functions (docs)
  A collection of useful non-standard Python functions which aim to be
  simple to use, highly readable but not efficient.
