=== debian/watch ===
version=4
https://github.com/frnmst/fpyutils/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
